View Issue Details

IDProjectCategoryView StatusLast Update
0022987mantisbtcode cleanuppublic2017-09-03 18:41
Reporter7h3ju57Assigned Todregad 
PrioritylowSeveritytextReproducibilityN/A
Status closedResolutionfixed 
Product Version2.0.0-beta.1 
Target Version2.6.0Fixed in Version2.6.0 
Summary0022987: Replace hardcoded language strings by translatable ones
Description

Some of the Graph Plugin's new pages introduced in MantisBT 2.0 use hardcoded strings to display text instead of relying on plugin_lang_get()

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master a48ca12f

2017-06-08 14:12:42

7h3ju57


Committer: dregad Details Diff
Use translatable strings in graph plugin pages

The developer and reporter graphs introduced in MantisBT 2.0 used
hardcoded strings to display text instead of relying on
plugin_lang_get().

Fixes 0022987

Signed-off-by: Damien Regad <dregad@mantisbt.org>

Original commits squashed, commit message rewritten.
mod - plugins/MantisGraph/lang/strings_english.txt Diff File
mod - plugins/MantisGraph/pages/developer_graph.php Diff File
mod - plugins/MantisGraph/pages/reporter_graph.php Diff File

Issue History

Date Modified Username Field Change
2017-06-09 13:40 dregad New Issue
2017-06-09 13:40 dregad Status new => assigned
2017-06-09 13:40 dregad Assigned To => dregad
2017-06-09 13:41 dregad Reporter dregad => 7h3ju57
2017-06-09 13:41 dregad Note Added: 0057061
2017-06-09 13:54 dregad Changeset attached => MantisBT master a48ca12f
2017-06-09 13:54 dregad Status assigned => resolved
2017-06-09 13:54 dregad Resolution open => fixed
2017-06-09 13:54 dregad Fixed in Version => 2.6.0
2017-09-03 18:41 vboctor Status resolved => closed